@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* とっぱんふぉんと */
.toppan_font{
	font-family: "toppan-bunkyu-midashi-go-std", sans-serif;
	font-weight: 400;
	font-style: normal;
}

/* しっぽり明朝 */
.shippori_mincho_font{
  font-family: "Shippori Mincho B1", serif;
  font-weight: 800;
  font-style: normal;
}

.wrap{
	max-width:1256px;
	width:100%;
}

.content-in{
	flex-wrap:nowrap;
}

/* 既存設定非表示 */
.header-container,
.sidebar-scroll{
	display:none;
}

.go-to-top-button{
	background-color: rgba(107, 173, 177, 70);
	color:#fff;
}

/* 	追従バナー */
/* 追従バナー共通 */
.follow-banner {
  position: fixed !important;
  z-index: 999999 !important;
  pointer-events: auto !important;
}

/* PC：右端・縦中央 */
@media screen and (min-width: 769px) {
  .follow-banner {
	right: 0;
	top: 40%;
	transform: translateY(-50%);
    width: auto;         /* 画像の横幅に合わせる */
  }

  .follow-banner img {
    width: auto;
    height: auto;
	max-width: 90px; /* 追従バナーの最大幅（必要で調整） */
  }
}

/* SP：画面下に固定 + 横幅100% */
@media screen and (max-width: 768px) {
  .follow-banner {
    bottom: 0;
    left: 0;
    width: 100%;
    padding-bottom: env(safe-area-inset-bottom);
  }

  .follow-banner::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: env(safe-area-inset-bottom);

  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);

  background: rgba(255,255,255,0.2);
  pointer-events: none;
}

  .follow-banner a{
    display: block;
    text-decoration: none;
  }

  .follow-banner a .sp_btn_txt{
    position: relative;
    background-image: linear-gradient(#77C46C, #9EDE95 20%, #5ECF4F 50%, #77C46C);
    text-align: center;
    font-weight: bold;
    color: #fff;
    text-shadow: 0 2px 4px #00000025;
    height: 74px;
    border-radius: 100px;
    padding: 20px 0 20px;
    box-shadow: inset 0 0 0 3px #77C46C, inset 0 0 0 6px #fff;
    }
  }

  /* .follow-banner a .sp_btn_txt::before{
    position: absolute;
    content: "";
    background-image: url(./images/cv_ribon.png);
    background-repeat: no-repeat;
    background-size: contain;
    top: -13px;
    width: 300px;
    height: 36px;
    left: 0;
    right: 0;
    margin: 0 auto;
  } */
  
  .follow-banner a .sp_btn_txt p{
    font-size: 1.5rem;
  }

  .follow-banner a .sp_btn_txt p .t_20{
    font-size: 1.25rem;
  }

    .follow-banner a .sp_btn_txt p .t_16{
    font-size: 1rem;
  }

.follow-banner.is-hidden {
  display: none !important;
}

.go-to-top {
	bottom: 10%;
}

/* PC のときハンバーガーをすべて非表示 */
@media screen and (min-width: 769px) {
  #custom-hamburger,
  .mobile-header-menu-buttons,
  .mobile-footer-menu-buttons,
  .menu-button {
    display: none !important;
  }
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
.go-to-top {
	bottom: 20%;
}
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
